Package org.codehaus.plexus.classworlds.strategy

## Class StrategyFactory

- java.lang.Object
- - org.codehaus.plexus.classworlds.strategy.StrategyFactory

    public class StrategyFactory
    extends java.lang.Object

StrategyFactory loads a strategy, either default or from a given hint.

### Constructor Summary

Constructors
`StrategyFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Strategy` `getStrategy​(ClassRealm realm)`
`static Strategy` `getStrategy​(ClassRealm realm, java.lang.String hint)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StrategyFactory

    public StrategyFactory()

### Method Detail

#### getStrategy

    public static Strategy getStrategy​(ClassRealm realm)

#### getStrategy

    public static Strategy getStrategy​(ClassRealm realm,
                                       java.lang.String hint)